Generate OTP

This API is used to generate one-time password (OTP) for requests received through various channels. The Credit+ Issuing system receives, validates and processes the request. If the request is successful, the system generates a new OTP and saves it in the database. The cardholder will receive the OTP through SMS and/or e-mail alert. If the request fails, the system returns the corresponding error code.

HTTP Status and Response Status Matrix

  • HTTP Code: This is the response status code issued by a server in response to a client's request made to the server.
  • Error Code: This is the error code returned by Credit+ Issuing application in the ‘code’ field of the response message indicating if the request was processed successfully or failed.
  • Reason: This is the description of the error code returned by Credit+ Issuing application.
HTTP CodeError CodeReason
400997Device Number and Card Number Alias fields are empty. Please provide value for atleast one field.
400997Product Type field is invalid.
400997Program Code field should only contain [A-Z 0-9] and underscore and must start and end with alphanumeric character.
400997Program Code field value must have max length 6.
400997Device Plan Code field should only contain [A-Z 0-9] and underscore and must start and end with alphanumeric character.
400997Device Plan Code field value must have max length 10.
400997Only alphanumeric characters and special characters [_!'()*+,-.] are allowed.
400997Card Number Alias field value must have max length 24.
400997Card number is of invalid format.
400997Request type field is empty.
400997Channel field is empty.
401990Channel not authenticated for this service
401991OTP request notsupported forthisservice
400997Device does not exist
404998Device number not registered in the system
500989No Notification method available for user
500993‘This message will be received from encryption methodologies’
500989Notification alert failed.
201000SUCCESS
500CNA001Bank Does Not Exists
500CNA002Card Number Alias Functionality is not applicable forthisInstitution
500CNA003Record does not exists for the given details
500CNA005Multiple device numbers are linked for given details
500CNA006Error while fetching device details
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required
length ≤ 24
^[0-9]+$

Card number. Must be numeric and up to 24 characters. Mandatory if cardNumberAlias is not present.

string
length ≤ 24
^[a-zA-Z0-9!'()*+,-._]+$

Alias assigned to each device. Mandatory if deviceNumber is not present. Must be alphanumeric with allowed special characters (! ' ( ) * + , - . _). Up to 24 characters.

string
enum

Product type of the device. Valid values are 'P' (Pre-paid), 'C' (Credit), 'D' (Debit). Required when cardNumberAlias is present and multiple devices are linked to the same cardNumberAlias.

Allowed:
string
length ≤ 10
^[a-zA-Z0-9]+$

Device Plan Code attached to the device. Must be alphanumeric and up to 10 characters. Required when cardNumberAlias is present and multiple devices are linked to the same cardNumberAlias.

string
length ≤ 6
^[a-zA-Z0-9]+$

Program attached to the device. Must be alphanumeric and up to 6 characters. Required when cardNumberAlias is present and multiple devices are linked to the same cardNumberAlias.

string
required

Request type for which OTP verification is invoked. Valid values are configured in Institution Parameter Setup > System Codes against TYPE_ID = GENERATE_OTP.

string
required

Accessing channel for the request. Must be a valid channel as provided to the institution during onboarding.

Headers
string

API Consumer can share Source in HTTP header for API requests. For the list of Source values, see the Pre-conditions for HTTP Header of REST API topic in the Pre-requisite for Rest API section.

Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json